Bug 1390198 - [abrt] gnome-shell: st_bin_dispose(): gnome-shell killed by SIGABRT
Summary: [abrt] gnome-shell: st_bin_dispose(): gnome-shell killed by SIGABRT
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:46ae1e8980b0b0560405f8042d6...
Keywords:
: 1324862 1410805 1430048 1458255 1466543 1469303 1469710 1471250 1471591 1473030 1473451 1473911 1474011 1475428 1476846 1477755 1478150 1478672 1479518 1479572 1482124 1482930 1483221 1485603 1485674 1486195 1486385 1486918 1487025 1487293 1487889 1487890 1487946 1488317 1488733 1490000 1490704 1491152 1491248 1491269 1493713 1494213 1494807 1495303 1496603 1496933 1498333 1499348 1499429 1500022 1500066 1507663 1510713 1511717 1511909 1511937 1520092 1524789 1532604 1535509 (view as bug list)
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-10-31 13:31 UTC by Łukasz Faber
Modified: 2018-05-29 11:33 UTC (History)
105 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-29 11:33:50 UTC


Attachments (Terms of Use)
File: backtrace (90.84 KB, text/plain)
2016-10-31 13:31 UTC, Łukasz Faber
no flags Details
File: cgroup (338 bytes, text/plain)
2016-10-31 13:31 UTC, Łukasz Faber
no flags Details
File: core_backtrace (15.46 KB, text/plain)
2016-10-31 13:31 UTC, Łukasz Faber
no flags Details
File: dso_list (25.70 KB, text/plain)
2016-10-31 13:31 UTC, Łukasz Faber
no flags Details
File: environ (2.73 KB, text/plain)
2016-10-31 13:31 UTC, Łukasz Faber
no flags Details
File: limits (1.29 KB, text/plain)
2016-10-31 13:32 UTC, Łukasz Faber
no flags Details
File: maps (130.93 KB, text/plain)
2016-10-31 13:32 UTC, Łukasz Faber
no flags Details
File: mountinfo (4.34 KB, text/plain)
2016-10-31 13:32 UTC, Łukasz Faber
no flags Details
File: namespaces (102 bytes, text/plain)
2016-10-31 13:32 UTC, Łukasz Faber
no flags Details
File: open_fds (6.86 KB, text/plain)
2016-10-31 13:32 UTC, Łukasz Faber
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2016-10-31 13:32 UTC, Łukasz Faber
no flags Details
File: var_log_messages (11.21 KB, text/plain)
2016-10-31 13:32 UTC, Łukasz Faber
no flags Details
Core dump (16.96 KB, text/plain)
2017-09-21 12:07 UTC, Philipp Gampe
no flags Details
gdb output from coredumpctl, see comment #143. With gnome-shell-3.24.3-1.fc26.x86_64 (50.00 KB, text/plain)
2017-09-21 22:13 UTC, Christian Stadelmann
no flags Details

Description Łukasz Faber 2016-10-31 13:31:46 UTC
Description of problem:


Version-Release number of selected component:
gnome-shell-3.22.1-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
global_pid:     24050
kernel:         4.8.4-301.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 st_bin_dispose at st/st-bin.c:186
 #6 clutter_actor_destroy at clutter-actor.c:8585
 #7 ffi_call_unix64 at ../src/x86/unix64.S:76
 #8 ffi_call at ../src/x86/ffi64.c:525
 #9 gjs_invoke_c_function at gi/function.cpp:999
 #10 function_call at gi/function.cpp:1323
 #11 js::CallJSNative at /usr/src/debug/mozjs-24.2.0/js/src/jscntxtinlines.h:321
 #12 js::Invoke at /usr/src/debug/mozjs-24.2.0/js/src/vm/Interpreter.cpp:474
 #13 Interpret at /usr/src/debug/mozjs-24.2.0/js/src/vm/Interpreter.cpp:2298
 #14 js::RunScript at /usr/src/debug/mozjs-24.2.0/js/src/vm/Interpreter.cpp:438

Potential duplicate: bug 1297091

Comment 1 Łukasz Faber 2016-10-31 13:31:52 UTC
Created attachment 1215802 [details]
File: backtrace

Comment 2 Łukasz Faber 2016-10-31 13:31:54 UTC
Created attachment 1215803 [details]
File: cgroup

Comment 3 Łukasz Faber 2016-10-31 13:31:56 UTC
Created attachment 1215804 [details]
File: core_backtrace

Comment 4 Łukasz Faber 2016-10-31 13:31:58 UTC
Created attachment 1215805 [details]
File: dso_list

Comment 5 Łukasz Faber 2016-10-31 13:31:59 UTC
Created attachment 1215806 [details]
File: environ

Comment 6 Łukasz Faber 2016-10-31 13:32:01 UTC
Created attachment 1215807 [details]
File: limits

Comment 7 Łukasz Faber 2016-10-31 13:32:03 UTC
Created attachment 1215808 [details]
File: maps

Comment 8 Łukasz Faber 2016-10-31 13:32:05 UTC
Created attachment 1215809 [details]
File: mountinfo

Comment 9 Łukasz Faber 2016-10-31 13:32:06 UTC
Created attachment 1215810 [details]
File: namespaces

Comment 10 Łukasz Faber 2016-10-31 13:32:08 UTC
Created attachment 1215811 [details]
File: open_fds

Comment 11 Łukasz Faber 2016-10-31 13:32:09 UTC
Created attachment 1215812 [details]
File: proc_pid_status

Comment 12 Łukasz Faber 2016-10-31 13:32:11 UTC
Created attachment 1215813 [details]
File: var_log_messages

Comment 13 Christian Stadelmann 2016-11-03 00:00:25 UTC
This crasher happened to me directly after unlocking a GNOME wayland session right after waking up from suspend. After logging in I could see the session for like 1 or two frames, then I was sent back to login screen.

Comment 14 Daniel 2016-11-22 11:54:25 UTC
Similar problem has been detected:

I clicked "show" on a GNOME notification from SELinux Troubleshooter.

The SELinux alert was:
type=AVC msg=audit(1479815430.480:294): avc:  denied  { create } for  pid=3172 comm=57656220436F6E74656E74 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tclass=rawip_socket permissive=0

All of GNOME crashed pretty much immidiately.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
global_pid:     1682
kernel:         4.8.7-300.fc25.x86_64
package:        gnome-shell-3.22.1-2.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Daniel 2016-11-30 17:01:46 UTC
Similar problem has been detected:

Crashed on login.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
global_pid:     1782
kernel:         4.8.10-300.fc25.x86_64
package:        gnome-shell-3.22.2-2.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Dominik Gronkiewicz 2016-12-18 00:49:05 UTC
Affects me too. GNOME crashed alongside owncloud client.

Comment 17 GERARDOSbox-listas 2017-01-06 14:38:30 UTC
*** Bug 1410805 has been marked as a duplicate of this bug. ***

Comment 18 Jonathon Reinhart 2017-03-07 00:43:42 UTC
This bug severely impacts my ability to use Fedora 25 and I'm considering downgrading to 24. Is anyone looking into this?

Comment 19 whr778 2017-03-07 18:38:26 UTC
*** Bug 1430048 has been marked as a duplicate of this bug. ***

Comment 20 Stephen Gallagher 2017-03-09 13:06:32 UTC
This is occurring at least twice a day to me on Fedora 26.

Comment 21 whr778 2017-03-09 13:35:40 UTC
This bug occurs several times a day on FC 25.  Usually happens after a screen lock.

Comment 22 Jonathon Reinhart 2017-03-15 01:54:16 UTC
It just took me *six* tries to log-in, with gnome-shell crashing immediately each time. Then, after I was logged in for a few minutes, it crashed twice more.

Can we please get some sort of feedback as to whether this *four and a half* month-old bug is going to be fixed? Perhaps a priority/severity weighting? I'm trying to decide whether I should wait it out for a fix, or go through the process of downgrading.

Comment 23 Jonathon Reinhart 2017-03-15 02:20:02 UTC
Looking at the backtrace, I realized this call is coming from the JavaScript interpreter. I see some mentions of `st_bin_dispose()` in GNOME extension bug reports. So I decided to look at my enabled extensions (via gnome-tweak-tool), and saw that both of the following were enabled:

- TopIcons - https://extensions.gnome.org/extension/495/topicons/
- TopIcons Plus - https://extensions.gnome.org/extension/1031/topicons/

As soon as I clicked the "OFF" button on Topicons plus, gnome-shell crashed with the following backtrace[1].

However, after this, my system has been stable again. This issue has been around for a while, and obviously a JS extension shouldn't be able to crash gnome-shell. But for those experiencing this issue, you might try disabling some extensions.

I'm fairly confident both of these extensions were not enabled before I upgraded from Fedora 24 to 25, and I certainly was not experiencing any crashes.

GNOME-devs: Perhaps it would be wise to have a feature that can automatically disable an extension (or all extensions) when it is determined that gnome-shell crashed while executing an extension.


[1] Backtrace of crash when disabling Topicons plus (symbols only, because I didn't want to install all of the debuginfos):

  raise
  abort
  g_assertion_message
  g_assertion_message_expr
  st_bin_dispose
  g_object_run_dispose
  clutter_actor_destroy
  clutter_actor_iter_destroy
  clutter_actor_real_destroy
  g_closure_invoke
  signal_emit_unlocked_R
  g_signal_emit_valist
  g_signal_emit
  clutter_actor_dispose
  g_object_run_dispose
  clutter_actor_destroy
  ffi_call_unix64
  ffi_call
  ? (libgjs.so.0)
  ? (libgjs.so.0)
  js::Invoke(JSContext*, JS::CallArgs, js::MaybeConstruct)
  Interpret(JSContext*, js::RunState&)
  js::RunScript(JSContext*, js::RunState&)
  js::Invoke(JSContext*, JS::CallArgs, js::MaybeConstruct)
  js::Invoke(JSContext*, JS::Value const&, JS::Value const&, unsigned int, JS::Value*, JS::Value*)
  js::jit::DoCallFallback(JSContext*, js::jit::BaselineFrame*, js::jit::ICCall_Fallback*, unsigned int, JS::Value*, JS::MutableHandle<JS::Value>)

Comment 24 Youssef 2017-03-15 13:35:47 UTC
(In reply to Jonathon Reinhart from comment #23)
> Looking at the backtrace, I realized this call is coming from the JavaScript
> interpreter. I see some mentions of `st_bin_dispose()` in GNOME extension
> bug reports. So I decided to look at my enabled extensions (via
> gnome-tweak-tool), and saw that both of the following were enabled:
> 
> - TopIcons - https://extensions.gnome.org/extension/495/topicons/
> - TopIcons Plus - https://extensions.gnome.org/extension/1031/topicons/
> 
> As soon as I clicked the "OFF" button on Topicons plus, gnome-shell crashed
> with the following backtrace[1].
> 
> However, after this, my system has been stable again. This issue has been
> around for a while, and obviously a JS extension shouldn't be able to crash
> gnome-shell. But for those experiencing this issue, you might try disabling
> some extensions.
> 
> I'm fairly confident both of these extensions were not enabled before I
> upgraded from Fedora 24 to 25, and I certainly was not experiencing any
> crashes.
> 
> GNOME-devs: Perhaps it would be wise to have a feature that can
> automatically disable an extension (or all extensions) when it is determined
> that gnome-shell crashed while executing an extension.
> 
> 
> [1] Backtrace of crash when disabling Topicons plus (symbols only, because I
> didn't want to install all of the debuginfos):
> 
>   raise
>   abort
>   g_assertion_message
>   g_assertion_message_expr
>   st_bin_dispose
>   g_object_run_dispose
>   clutter_actor_destroy
>   clutter_actor_iter_destroy
>   clutter_actor_real_destroy
>   g_closure_invoke
>   signal_emit_unlocked_R
>   g_signal_emit_valist
>   g_signal_emit
>   clutter_actor_dispose
>   g_object_run_dispose
>   clutter_actor_destroy
>   ffi_call_unix64
>   ffi_call
>   ? (libgjs.so.0)
>   ? (libgjs.so.0)
>   js::Invoke(JSContext*, JS::CallArgs, js::MaybeConstruct)
>   Interpret(JSContext*, js::RunState&)
>   js::RunScript(JSContext*, js::RunState&)
>   js::Invoke(JSContext*, JS::CallArgs, js::MaybeConstruct)
>   js::Invoke(JSContext*, JS::Value const&, JS::Value const&, unsigned int,
> JS::Value*, JS::Value*)
>   js::jit::DoCallFallback(JSContext*, js::jit::BaselineFrame*,
> js::jit::ICCall_Fallback*, unsigned int, JS::Value*,
> JS::MutableHandle<JS::Value>)

Extensions should certainly be better sandboxed so that they can't crash the shell, but if the devs are going to take the short term workaround of having the shell disable extensions when it detects a crash, there should be a notification alerting the user that this has happened, why it's happened, and maybe a link to a webpage describing how they can troubleshoot the issue (re-enable extensions one at a time to see which one is causing the crash).

Comment 25 Florian Müllner 2017-03-16 17:37:39 UTC
(In reply to Youssef from comment #24)
> Extensions should certainly be better sandboxed so that they can't crash the
> shell

If extensions were sandboxed, they were not able to rip out random parts of the shell UI and put it elsewhere. So the sandbox would certainly prevent top-icons from crashing the shell, most notably because the extension wouldn't exist in the first place ...

Comment 26 Youssef 2017-03-21 17:55:23 UTC
(In reply to Florian Müllner from comment #25)
> (In reply to Youssef from comment #24)
> > Extensions should certainly be better sandboxed so that they can't crash the
> > shell
> 
> If extensions were sandboxed, they were not able to rip out random parts of
> the shell UI and put it elsewhere. So the sandbox would certainly prevent
> top-icons from crashing the shell, most notably because the extension
> wouldn't exist in the first place ...

Clearly I'm not using the right terminology. My two main points are that it should be harder for an extension to crash the shell (catch all exceptions that aren't otherwise handled and kill the extension that caused them instead of the whole shell, perhaps? Is that even possible?) and that if the shell is going to start automatically disabling extensions that cause problems, it should notify the user of what's happening.

Comment 27 Christian Stadelmann 2017-04-28 23:06:13 UTC
I just ran into this bug during using an application which showed a menu while gnome-shell was fading in a notification.

Comment 28 jeremy9856 2017-05-26 14:34:46 UTC
I run into this bug too when gnome shell start

Comment 29 Christian Stadelmann 2017-06-02 12:05:56 UTC
*** Bug 1458255 has been marked as a duplicate of this bug. ***

Comment 30 David Novák 2017-06-06 06:33:05 UTC
Same bug during log in.. Version 3.22.3-1.fc25.x86_64

Comment 31 Christian Stadelmann 2017-06-08 07:31:45 UTC
*** Bug 1459780 has been marked as a duplicate of this bug. ***

Comment 32 Ryan Gillette 2017-06-30 00:17:04 UTC
*** Bug 1466543 has been marked as a duplicate of this bug. ***

Comment 33 Christian Stadelmann 2017-06-30 10:39:40 UTC
I'm seeing this bug around each 3rd time I try to log in from gdm to gnome-shell (both running on Wayland).

Please nominate this bug as a prioritized bug by adding "PrioritizedBug" to the Whiteboard field. See also https://fedoraproject.org/wiki/Fedora_Program_Management/Prioritized_bugs_and_issues_-_the_process#Nomination.

Reason:
Several users have reported that this crash happens to them several times per day. There are 5 duplicates to this bug report.

Comment 34 Jason 2017-07-10 22:24:17 UTC
*** Bug 1469303 has been marked as a duplicate of this bug. ***

Comment 35 Leslie Satenstein 2017-07-11 17:17:29 UTC
*** Bug 1469710 has been marked as a duplicate of this bug. ***

Comment 36 Nikita Goncharuk 2017-07-11 21:46:31 UTC
Similar problem has been detected:

"Topicons Plus" Shell extension showed an long empty space instead the only icon (Steam). Also bottom-left tray appeared with Steam icon and long empty space.

I've right-clicked on Steam icon in bottom-left tray and chose exit Steam and Gnome Shell Crashed. It was Wayland session so all running apps were terminated. 

But I don't know what caused wrong "Topicons Plus" behaviour. The same bug used to happen quiet a long time ago. Last few mounth of Fedora 25 I haven't seen this. Now I'm runnig Steam again and I'm having a correct Steam icon in top bar. But if it'll start to show something wrong and I'll try to do something with icons Shell would crash. I'm also not sure that this happens only with Steam because I'm rarely use other apps with tray icons. 

---------------------------------------------------------------------------------
Anyway I don't want to have tray in bottom-left because it overlaping windows.
Another problem is that Shell crashes now kill all running apps. It could cause data loss and reopen everything is annoing.
And I'm no longer can to configure Xorg for tearfree. Old config stoped to work after some updates of Fedora 25. 

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=f86958fcb99b472092caaaa90b0d6a75;i=dec7;b=0ac8d1a0ad1e45e68afad74c3861f32d;m=183aedafd;t=5541132bab114;x=d18027c0fdfa1f63
kernel:         4.11.8-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 37 Christian Stadelmann 2017-07-13 07:04:13 UTC
*** Bug 1324862 has been marked as a duplicate of this bug. ***

Comment 38 Christian Stadelmann 2017-07-13 07:16:50 UTC
(In reply to Florian Müllner from comment #25)
> (In reply to Youssef from comment #24)
> > Extensions should certainly be better sandboxed so that they can't crash the
> > shell
> 
> If extensions were sandboxed, they were not able to rip out random parts of
> the shell UI and put it elsewhere. So the sandbox would certainly prevent
> top-icons from crashing the shell, most notably because the extension
> wouldn't exist in the first place ...

Firefox is introducing this feature, it will be running extensions in a separate process soon: https://bugzilla.mozilla.org/show_bug.cgi?id=1357486

Comment 39 Vladislav Kuzin 2017-07-13 11:29:58 UTC
Similar problem has been detected:

1. Ugraded from 25 to 26:  sudo dnf system-upgrade --releasever=26 && sudo dnf system-upgrade reboot
2. The screen was blank, but when trying to login in another console (CTRL+ALT+F2) it says that system is booting up.
So I waited 20 minutes and nothing happens, I'd pressed CTRL+ALT+DEL several times and computer rebooted.
Everything is working, but this bug always shows during starting up of Gnome.
Tried kernel 4.11.9 and 4.4.75 from kernel.org

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
global_pid:     1924
kernel:         4.4.75
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 40 jose.miguel.perez.hernandez 2017-07-14 20:05:58 UTC
*** Bug 1471250 has been marked as a duplicate of this bug. ***

Comment 41 Leslie Satenstein 2017-07-17 02:50:26 UTC
*** Bug 1471591 has been marked as a duplicate of this bug. ***

Comment 42 Dominik Drazyk 2017-07-18 06:46:15 UTC
Similar problem has been detected:

I had one virtual machine running (linux on kvm) and several desktop applications running when I suspended my laptop via lid close.
After resuming the screen was blank and I haven't notice any reaction to keyboard input. 

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=6f003676469841d4a88a742e111a17a5;i=e84;b=87092604e4b74d2388eef76d781dd34d;m=31ce43f;t=5549167aae771;x=a1dd400093675fa5
kernel:         4.11.9-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 43 Nick Booker 2017-07-18 18:40:43 UTC
Similar problem has been detected:

I was logging into GNOME from GDM3, was landed back at the login screen after a flicker of the screen.  First time it's happened, but I've only booted up a few times since upgrading to Fedora 26 from 25.

The desktop is a bit more jolty than it was prior to the upgrade, especially with Firefox - don't know whether that's useful info or not.

I don't know if I'd be able to reproduce it other than trying logging out and back in or rebooting a few times.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=797563116ab545d4b7ebb5b46e702330;i=f2ce9;b=73cd2f51899f41b6b7ae46483bdf41b3;m=2776f2e;t=5549adca92a0f;x=66a61dc5f0665050
kernel:         4.11.10-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 44 Vladimir Novoseltsev 2017-07-19 08:22:45 UTC
Similar problem has been detected:

Crash was reporte just after login.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=4feb5a5d1e004740be82cada76a002fe;i=854f;b=c5f37975c893467b8ebeeec5f70213e2;m=1e17f31;t=554a72b423184;x=c83903ad8da39644
kernel:         4.11.10-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       unknown
type:           CCpp
uid:            1000

Comment 45 Peter Schiffer 2017-07-19 10:33:15 UTC
Similar problem has been detected:

It crashed right after login to gnome, after reboot.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=7d8ad479a56a4b81a02e7fc12a00e6c8;i=84e4;b=972e64e748c94a56b961250743657539;m=26c7f48;t=554a82e5632cf;x=ebe59ac8f6d9941e
kernel:         4.11.10-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 46 Matthew Miller 2017-07-19 14:18:53 UTC
Moving PrioritizedBug nomination from #1459780

Comment 47 Matthew Miller 2017-07-19 14:34:24 UTC
We decided to not accept this particular bug as a blocker because while it does apparently affect a number of people, it's not even the top current crash for gnome-shell reported at https://retrace.fedoraproject.org/faf/problems/?component_names=gnome-shell&associate=__None&daterange=2017-07-05%3A2017-07-19&bug_filter=None&function_names=&binary_names=&source_file_names=&since_version=&since_release=&to_version=&to_release=.

Instead, I'm going to talk to Owen about the process for triaging GNOME Shell crashes like this and we'll work to increase the transparency there. (With the goal of getting them *all* fixed.)

Comment 48 Jan Niklas Hasse 2017-07-19 21:47:56 UTC
*** Bug 1473030 has been marked as a duplicate of this bug. ***

Comment 49 Ryan Gillette 2017-07-20 23:01:42 UTC
*** Bug 1473451 has been marked as a duplicate of this bug. ***

Comment 50 england3100 2017-07-21 12:37:51 UTC
Similar problem has been detected:

startup and enter pw for lock screen

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=497ef8fc309b4951bcb310fc607c583c;i=1c00d;b=2f42d55c30be4fc5b0e814285bb0e910;m=3c18157;t=554d304ad16ed;x=56a05336da11a34e
kernel:         4.11.10-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 51 Christian Stadelmann 2017-07-22 09:58:43 UTC
*** Bug 1473911 has been marked as a duplicate of this bug. ***

Comment 52 Christian Stadelmann 2017-07-22 10:39:42 UTC
(In reply to Matthew Miller from comment #47)
> We decided to not accept this particular bug as a blocker because while it
> does apparently affect a number of people, it's not even the top current
> crash for gnome-shell reported at
> https://retrace.fedoraproject.org/faf/problems/?component_names=gnome-
> shell&associate=__None&daterange=2017-07-05%3A2017-07-
> 19&bug_filter=None&function_names=&binary_names=&source_file_names=&since_ver
> sion=&since_release=&to_version=&to_release=.

Looks like FAF is wrong about calculating those numbers, I'll report this as a bug against faf.

Please have a look at https://retrace.fedoraproject.org/faf/reports/1376401/ (Fedora 25, bug happens rarely) and https://retrace.fedoraproject.org/faf/reports/1777672/ (Fedora 26, bug is reported 50…100 times per day for the last week). The latter faf report has more hits than any other report on your faf list above.

> Instead, I'm going to talk to Owen about the process for triaging GNOME Shell crashes like this and we'll work to increase the transparency there. (With the goal of getting them *all* fixed.)

Thanks!

Comment 53 Christian Stadelmann 2017-07-22 10:52:40 UTC
(In reply to Christian Stadelmann from comment #52)
> Looks like FAF is wrong about calculating those numbers, I'll report this as
> a bug against faf.

See https://github.com/abrt/faf/issues/582 for that bug.

Comment 54 Matthew Miller 2017-07-22 12:02:40 UTC
Ah, good catch. I'll still check in with Owen about prioritization, but that FAF issue certainly makes a difference.

Comment 55 Andy Campbell 2017-07-23 06:20:09 UTC
*** Bug 1474011 has been marked as a duplicate of this bug. ***

Comment 56 Leslie Satenstein 2017-07-23 14:53:42 UTC
Similar problem has been detected:

I booted the Fedora 26 system which is installed onto a btrfs file system.
My /home is on an ext4 system 
Both are on my SSD drive, with more than ample free space.

There are many different situations causing crashes.

a) If I log in at time of boot, usually the system starts ok  no problems with gnome-shell (/home on ext4)
b) If boot the system but wait 12 hours later to log in,  the gnome-shell is in a 100% cpu loop (/home on ext4)
c)  As initiially installed, I can modify /home to use the subvolume of /btrfs, and if I restore /home to the btrfs system, 
     then some extensions crash gnome-shell. In this case disaster.  By disaster, the logon gear 
     button points to la-la land (not to gnome or to gnome-org).  The extensions must not be used.
     With disaster, I have to log in as root, and switch to /home/leslie/.local/share/gnome-shell/extensions and
     chmod 000 * 
     The major extension causing problems (only on btrfs volume) is Taskbar by Zpydr
     Other extensions I am using are:
    Alternate Tab 
    Background Logo
    Caffeine
    Extension update notifier
    Freon
    Gno-menu
    Launch new Instance
    Notification alert
    Open Weather 
    Taskbar   
    Topicons plus
    User themes

Please NOTE, Fedora 26 is using Gnome 3.24.   With Fedora 25, (Gnome 3.22) I had no issue/problems.  If I use xfs or ext4 
as the underlying file system, Gnome-shell appears to be OK.

I can help you since I test on live hardware, not via vm.  I have 5 disks with Fedora25 ext4, Fedora 26 ext4, Fedora26 btrfs, 
and two spare disks.  I have zero problems with Fedora25 ext4 which is Gnome 3.22  

If I knew more details about what the gnome-shell problem is, I would fix it.

leslie.satenstein@gmail.com  or lsatenstein@gmail.com       

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=93bcf4ec6dcc4de6a834bb334185174f;i=b8f5;b=af98ece47881477bb90146bb9e307db3;m=41011e0;t=554fcddc2896b;x=b59cae7a8fe4f5b2
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 57 Leslie Satenstein 2017-07-23 15:01:51 UTC
This problem is occurring multiple times per day.  Look at comment 56
It is exacerbated if the installation is on a btrfs system.

Can't rely on using Gnome on a btrfs system. 

Install a single extension -- 

Taskbar onto a btrfs system.  With only this extension, it is a way to debug the problem

Comment 58 Leslie Satenstein 2017-07-24 01:28:18 UTC
To the person doing the debugging.

Here is a description explaining how to make gnome-shell crash. It follows my other comments.

I provided some debugging information in earlier comments based on F26 and btrfs. and now with F25 and btrfs, 

With btrfs I can make gnome-shell crash with one single extension. Taskbar by Zpyder.


Today to prove that gnome shell and btrfs are incompatible, I installed a fresh copy of Fedora 25, (my previous reports are for Fedora 26)  


My dual keyboard config  layout1 en (Canadian English)  layout2 fr (Canadian French) x64 system, as reported in the attachments.  keyboard is a pc105 physical layout.


In the firefox setup window, the instant I click  onto the displayed "install" button for the TaskBar extension --- full user lockup and full loss of keyboard. 

Recovery is a reboot.
If I am logged as root in terminal mode, if I am lucky, I can do a killall -u  and do recovery that way.

Recovery consists of deleting with rm -f ./local/share/gnome-shell/extensions/Taskbar*

So, with btrfs and F25, crash and lockout, with btrfs and F26, crash and lockout,

A related problem that shows that gnome-shell does other problems with some wrong addresses/setups.

With the fresh install (and with F26), the gnome-terminal session does a switch keyboard layout for the space bar alone and correctly so for the super+space (as to be expected). (duplicate setup)
It also provides a left alt-key[`]  and left alt-shift[~] The key is to the left of the [1] key. I believe that when you fix the gnome session crashing, that you will fix these other bugs.

I am able to use dconf-editor to fix some keyboard related problems. 

So. setup a f25 or f26 btrfs gnome session and do your best. Refer to comment 56 for more details.
 
FYI, as an end user and a promoter of Fedora, I hope the debugging bears fruit before F27.  I normally use Fedora with ext4 or xfs --without extension crashing problems.

Comment 59 Benjamin Schubert 2017-07-24 04:40:58 UTC
Similar problem has been detected:

The problem appeared multiple times and somewhat randomly. I have no idea how to reproduce.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=a0db5c2420dd4b5faeedc9945929bff2;i=97026;b=5ea6de56a1bf480faf1f5a57b931f13d;m=91bb87883;t=554f3b1856cb1;x=7d3f96c84e522c41
kernel:         4.11.10-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 60 Jonathan Nicol 2017-07-25 17:32:48 UTC
Similar problem has been detected:

immediately on login

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=3741f7aaaf6e46599d6a2fc8b0ef00ae;i=5824d;b=93fb23b59b1f481baa1c2cd187e349f3;m=188a0b0;t=555276f01cc44;x=1719b0eaa1762549
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       unknown
type:           CCpp
uid:            1000

Comment 61 Dim 2017-07-26 06:32:05 UTC
Similar problem has been detected:

I loaded an empty Gnome session.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=2a0eaf2cbdaf4b018499ca1666f43adb;i=117d6c;b=ad4a0801e49946c1bbfb24b89235e23c;m=321d104d;t=55532720b11f7;x=456170b0d35ad11f
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            16777216

Comment 62 Leslie Satenstein 2017-07-26 16:30:41 UTC
*** Bug 1475428 has been marked as a duplicate of this bug. ***

Comment 63 Leslie Satenstein 2017-07-27 15:27:15 UTC
Similar problem has been detected:

I booted the system.
The system resides on a SSD, formatted host is btrfs
The login opened up with a grey-black screen, active mouse, active keyboard, but no gnome
Gnome shell was at 99% CPU (looping)
I used ctl-alt-f1 to return to the Fedora gnome prompt
I relogged and the system came up to allow me to write this report.

PLEASE. IF YOU WANT TO DEBUG THE PROBLEM  REFER TO MY COMMENTS ABOUT GNOME AND BTRFS
the Gnome-shell does not isolate extensions from the kernel.  The gnome shell can be killed by
any misbehaved extension. 

Want to debug,
Fedora 26, gnome, btrfs file system and Taskbar by zpydr
Taskbar will freeze on install and setup when btrfs is the file system in use.
Thereafter, with every reboot, gnome logon will die before coming up.

You have repeatible test data to debug the problem.


reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=e7bf85a71d294cc2a0bb18169848c1ff;i=d1b5;b=c8703440a29248389edf9370ad5e762c;m=6a4f153;t=5554e04865412;x=8f3727d67293844b
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 64 Matthew Miller 2017-07-27 15:38:14 UTC
Is anyone experiencing this particular crash _not_ on Btrfs? I'd like to narrow down the bug Summary for both better diagnostic focus and just to help direct people better.

Comment 65 Anass Ahmed 2017-07-27 15:39:36 UTC
(In reply to Matthew Miller from comment #64)
> Is anyone experiencing this particular crash _not_ on Btrfs? I'd like to
> narrow down the bug Summary for both better diagnostic focus and just to
> help direct people better.

It happens for me on ext4. It's not only for BTRFS AFAIK.

Comment 66 Matthew Miller 2017-07-27 15:41:36 UTC
Are you sure it's this same crash? I haven't delved into it enough to see exactly why that should be a factor, but it does seem to be common to many of the reports.

Comment 67 Dominik Gronkiewicz 2017-07-27 15:42:28 UTC
I have encountered this crash only once and I don't think I've ever been using btrfs (always ext4).

Comment 68 Christian Stadelmann 2017-07-27 15:43:03 UTC
(In reply to Matthew Miller from comment #64)
> Is anyone experiencing this particular crash _not_ on Btrfs? I'd like to
> narrow down the bug Summary for both better diagnostic focus and just to
> help direct people better.

Happens on btrfs here, but that's not the point. I doubt there is any way this could be related to the filesystem gnome-shell is running on. gnome-shell is not using btrfs-progs, and race conditions in file system drivers don't look related either. I guess lsatenstein is having different configuration or hardware on the machines tested.

Comment 69 Anass Ahmed 2017-07-27 15:43:19 UTC
(In reply to Matthew Miller from comment #66)
> Are you sure it's this same crash? I haven't delved into it enough to see
> exactly why that should be a factor, but it does seem to be common to many
> of the reports.

I don't know the low-level details, but ABRT pointed this report to me when I filed it.

Comment 70 Matthew Miller 2017-07-27 15:44:50 UTC
Okay, I'll remove that from the title. May just be selection bias in the people who have happened to hit it.

Comment 71 Anass Ahmed 2017-07-27 15:49:34 UTC
(In reply to Matthew Miller from comment #70)
> Okay, I'll remove that from the title. May just be selection bias in the
> people who have happened to hit it.

Leslie is the only one reported it's on BTRFS (but not other filesystems), but he reported more than one time that, so it seemed like more than one person confirmed that fact.

Comment 72 jeremy9856 2017-07-27 20:06:43 UTC
I don't know the low-level details too, but ABRT pointed this report to me when I filed it and I use ext4.

Comment 73 Stéphane Wirtel 2017-07-28 06:51:57 UTC
Hello,

Yesterday, I got a several bug with the gnome-panel with the Gnome-Shell extensions. I have removed the directory of the extensions and now, I have no crash.

It's a lead.

Comment 74 Leslie Satenstein 2017-07-31 15:09:18 UTC
*** Bug 1476846 has been marked as a duplicate of this bug. ***

Comment 75 tpypta 2017-08-02 10:06:50 UTC
Similar problem has been detected:

The system was restarted after regular update, applied with GNOME Software. Afterwards I started pCloud Appimage Client, which I use as a cloud and sync service. I also started the LibreOffice document, on which I'm currently working. I this moment I've noticed that pCloud status icon is not where it should be - I'm using the GNOME Shell Extension "TopIcons plus", which moves the icons of apps like Viber and pCloud next to the Activities button. When I saw that TopIcons Plus has placed the icons not where it should, I entered GNOME Tweak tool and disabled Top Icons Plus, intending to re-enable it immediatly. Upon disabeling, the screen suddenly turned black and I was droped black to GDM Welcome and Login Screen. After I logged in, I reabled Top Icons Plus and it went without any problems. 

reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=b3f7f5ccd4cb4f58a33cf67f0bec1497;i=ffb;b=e500f583c41347b78ce9b34b94815e6a;m=2bfcb676;t=555c21e8d5c81;x=bdba8fe73defb9b3
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 76 Mariano Rodriguez 2017-08-02 20:21:38 UTC
*** Bug 1477755 has been marked as a duplicate of this bug. ***

Comment 77 tpypta 2017-08-03 10:51:56 UTC
Similar problem has been detected:

I think it is related with the topicons plusextension.

reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=105aec9b2d8d43a8bf9bc27a5f57dbae;i=11f5;b=9d79d94b49174dd6be404a65872d413e;m=d73c440;t=555d711d1f2a8;x=4ac1b7c1bba27b5a
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 78 tpypta 2017-08-03 15:27:08 UTC
Similar problem has been detected:

Confirmed: Extension TopIcons Plus, when used with an app (pCloud), distributed via AppImage. I've uninstalled TopIcons Plus and no more crashes since then. It's incredible that a single extension can cause the whole shell to crash.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=fbaf35d534bd448f9e9f843767920a8b;i=255d;b=614dd237b11f47ecb9a30d83d287ae01;m=55ad0ac7;t=555da3914c41a;x=69eaf1c68b0e6837
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 79 Matthew Miller 2017-08-03 15:36:38 UTC
(In reply to tpypta from comment #78)
> Confirmed: Extension TopIcons Plus, when used with an app (pCloud),
> distributed via AppImage. I've uninstalled TopIcons Plus and no more crashes
> since then. It's incredible that a single extension can cause the whole
> shell to crash.

That's the tradeoff in allowing extensions deep access rather than a limited API.

Is anyone seeing this *without* TopIcons installed?

Comment 80 jeremy9856 2017-08-03 17:37:46 UTC
Not 100% sure but I think it had happened without TopIcons Plus too for me. IIRC I had the crashes and tried with TopIcons Plus disabled.

Comment 81 daozor 2017-08-03 18:08:40 UTC
*** Bug 1478150 has been marked as a duplicate of this bug. ***

Comment 82 Haghighi 2017-08-04 06:50:02 UTC
I've removed TopIconsPlus and no crashes after that!

Before uninstalling TopIconsPlus, some times icons were hiding in top panel, and every time gnome-shell crashing immediately after clicking on TopTcons plus *Setting* button OR after disabling the extension from GnomeTweakTools.

Comment 83 Nikita Goncharuk 2017-08-04 11:39:52 UTC
Similar problem has been detected:

I had switched all Shell Extensions on and off few times (Using the switcher in Tweak tool's headerbar) and Legacy tray with Topicons plus extension disappeared.
Than I Quited The only app with Legacy tray Icon and Launched it Again. Both Legacy tray (in bottom left) and Topicons plus shown with wide (about 200px) empty space and The app's icon was only in bottom left tray.
Right click on the Icon in bottom left tray caused the crash.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=f86958fcb99b472092caaaa90b0d6a75;i=5dbf3;b=40d39974d6e24940aa4222e25863328d;m=105d19291b;t=555ebc3247ebc;x=89e12999ee9e58f7
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 84 Leslie Satenstein 2017-08-05 22:06:10 UTC
*** Bug 1478672 has been marked as a duplicate of this bug. ***

Comment 85 Christian Stadelmann 2017-08-06 10:33:32 UTC
(In reply to Matthew Miller from comment #79)
> Is anyone seeing this *without* TopIcons installed?

No, but I can confirm that disabling the topicons-plus extension makes this bug go away. I haven't seen gnome-shell crash in 3 days with this extension disabled although it has crashed twice a day before.

Comment 86 Jan Niklas Hasse 2017-08-07 10:38:08 UTC
I switched from TopIcons Plus to TopIcons (without the Plus) and the bug also went away.

Comment 87 Nikita Goncharuk 2017-08-07 14:07:50 UTC
Similar problem has been detected:

I have replaced "TopIcons plus" with "TopIcons" but it seems to be more bugged.
Except the crash Gpaste extension now was on lockscreen. And this new extension does not remove tray out of top panel if all Extensions are disabled (keeping being enabled, but not on lockscreen).

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=f86958fcb99b472092caaaa90b0d6a75;i=6ed8f;b=2a8ab6a22d8e46719e0a713950fb2134;m=82cc39b4d;t=5562a4f455366;x=8bf07c0c3d61c00f
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 88 daozor 2017-08-08 17:07:26 UTC
*** Bug 1479518 has been marked as a duplicate of this bug. ***

Comment 89 Aaron Ogle 2017-08-08 20:43:27 UTC
*** Bug 1479572 has been marked as a duplicate of this bug. ***

Comment 90 Aaron Ogle 2017-08-08 20:48:18 UTC
Another one looks like topicons plus is the common thread here. I also have it installed.

Comment 91 Leslie Satenstein 2017-08-13 03:52:35 UTC
Similar problem has been detected:

crash on logging in. Had to log in twice.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=dda5c6c841fb4f24bc9a7a45de067eea;i=1a1b3;b=02dccb6b4abe40b2ae90c7d628ebbc6b;m=a60765f5;t=5569a19f9c167;x=f1dde786218fd257
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 92 Leslie Satenstein 2017-08-13 19:47:23 UTC
Similar problem has been detected:

On a power on of Desktop and first login, Gnome Shell crashes.
All disputed extensions were  removed from this distribution. 
The issues are with Gnome-shell and not the extensions

I am booting a system that has / on a btrfs system and
/home on an ext4 system.

If /home is on a btrfs system I am unable to run a Gnome logon.

I do not know Gnome-shell and have no source to read  to debug same.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=dda5c6c841fb4f24bc9a7a45de067eea;i=39356;b=d3c63575b6df4de8906fafde73d08266;m=4653622;t=556a7a6ebb2ca;x=e6f3adbf3249162f
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 93 Leslie Satenstein 2017-08-13 19:50:16 UTC
Similar problem has been detected:

see previous posting. Life is bizzare

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=dda5c6c841fb4f24bc9a7a45de067eea;i=39356;b=d3c63575b6df4de8906fafde73d08266;m=4653622;t=556a7a6ebb2ca;x=e6f3adbf3249162f
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 94 Christian Stadelmann 2017-08-13 20:52:58 UTC
@lsatenstein: Can you please try to disable the "Topicons" or "Topicons plus" gnome-shell extension? This should make your problem go away.

I still doubt this issue is related to btrfs as gnome-shell does not have any btrfs-specific code afaik.

Comment 95 Nikita Goncharuk 2017-08-13 21:27:37 UTC
I had the Issue on all ext4 installation so it is not btrfs related.
(Or abrt incorrectly recognized duplicates).

Comment 96 Leslie Satenstein 2017-08-14 17:18:51 UTC
Similar problem has been detected:

ON a first logon after a reboot, the gnome-shell enters a 100% cpu situation.
With Fedora and with SUSE, via root, I kill the user and have the user log in again.
And it works the second to n't time

The gnome system is on a btrfs system simply because software engineers
recommend btrfs fiile system when Linux (suse or fedora) is 
installed onto SSD's.

All I know is I do a killuser -u  userxxxx

and the next logon attempt works.

Sometimes, just attempting a second logon works just fine too.

 

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=dda5c6c841fb4f24bc9a7a45de067eea;i=6017f;b=8a2b81b06aef40e69f2cf5d6fccd963a;m=890b6e5;t=556b957247cbd;x=3f4595bbfa969ffd
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 97 Lucious 2017-08-15 22:14:20 UTC
Similar problem has been detected:

I got the crash report, as soon, as I logged into gnome 3 via gdm.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=78e90da0e67f433ab51281a92d5e8808;i=9efd9;b=b06766bbb53949878bcd0630d38765a0;m=ac2c7dc;t=556d198d8a985;x=e22efe5ec48b4acf
kernel:         4.12.5-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 98 s0n1q 2017-08-16 10:00:58 UTC
Similar problem has been detected:

1) Boot-up
2) Start gnome session
3) Gnome session failed

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=6a29f24bd662413f89c32c9a1dc3a86d;i=83f;b=a8836950e16841a18afb4d06135c9270;m=1a92d7c;t=556dbde63b3d1;x=fbf6516f797116c7
kernel:         4.12.5-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 99 Jacob Swanson 2017-08-16 14:00:07 UTC
*** Bug 1482124 has been marked as a duplicate of this bug. ***

Comment 100 Eric COUTURIER-GUILLAUME 2017-08-17 13:39:28 UTC
Similar problem has been detected:

Random crash

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=6e13fc66825343588bc5c135b6d07e75;i=e97;b=5e7427d2cfb54ac6939f0fe87ef72127;m=13bcdf127;t=556f2b36ae2a8;x=f891248b2ed8821d
kernel:         4.12.5-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 101 yangjufo 2017-08-18 12:52:43 UTC
*** Bug 1482930 has been marked as a duplicate of this bug. ***

Comment 102 Daniel-WTD 2017-08-19 11:30:25 UTC
*** Bug 1483221 has been marked as a duplicate of this bug. ***

Comment 103 Leslie Satenstein 2017-08-21 04:31:20 UTC
Similar problem has been detected:

I have /home on a btrfs system, and from what I saw, gnome-shell was looping and at 100% cpu on one of the cores of the quad core.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=b437b53792c84527b3248ec59e1dfe26;i=26f35;b=95eaca27a1b94f92bd2bcd5a629f69dd;m=29b44f54;t=5573bbad9dab2;x=414db05a947d38dc
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 104 Haghighi 2017-08-21 09:42:43 UTC
(In reply to Haghighi from comment #82)
> I've removed TopIconsPlus and no crashes after that!
> 
> Before uninstalling TopIconsPlus, some times icons were hiding in top panel,
> and every time gnome-shell crashing immediately after clicking on TopTcons
> plus *Setting* button OR after disabling the extension from GnomeTweakTools.

Same crash on the same situations
During daily work, all tray icons from top panel and legacy tray icons disappeared, when I clicked on TopIconPlus in gnome tweak tools and I faced a gnome-shell crash immediately

Comment 105 Ryan Gillette 2017-08-26 06:53:52 UTC
*** Bug 1485603 has been marked as a duplicate of this bug. ***

Comment 106 Mike Basinger 2017-08-27 01:52:53 UTC
*** Bug 1485674 has been marked as a duplicate of this bug. ***

Comment 107 Nick Booker 2017-08-27 09:45:59 UTC
Similar problem has been detected:

Logged into GNOME from gdm.  I had just installed a NIC, but inconclusive whether that caused it.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=797563116ab545d4b7ebb5b46e702330;i=12f1c3;b=4b7368e61b96449d85653321c67ef49e;m=7333a72;t=557b8d2e84374;x=d66893b37842d4b8
kernel:         4.12.8-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 108 major_tom 2017-08-29 08:06:17 UTC
*** Bug 1486195 has been marked as a duplicate of this bug. ***

Comment 109 ingli 2017-08-29 15:50:39 UTC
*** Bug 1486385 has been marked as a duplicate of this bug. ***

Comment 110 Robert Garcia 2017-08-30 19:11:47 UTC
*** Bug 1486918 has been marked as a duplicate of this bug. ***

Comment 111 Andreas Müller 2017-08-31 05:30:47 UTC
*** Bug 1487025 has been marked as a duplicate of this bug. ***

Comment 112 Haghighi 2017-08-31 06:59:09 UTC
Similar problem has been detected:

gnome-shell crashed at bootup

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=2079632a84ad44d1ab2853680aa7fd1b;i=5a236;b=1117c97ef8da441da55a6a26ea5a496e;m=1e3844b;t=55806fd2ddc44;x=c1fa6509fe5b987c
kernel:         4.12.8-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 113 Ryan Gillette 2017-08-31 14:49:36 UTC
*** Bug 1487293 has been marked as a duplicate of this bug. ***

Comment 114 Keefer Rourke 2017-09-03 01:34:26 UTC
*** Bug 1487889 has been marked as a duplicate of this bug. ***

Comment 115 Leslie Satenstein 2017-09-03 02:06:42 UTC
I am testing the Fedora 27 Beta rekease candidate.
The gnome-shell is crashing, and runs the cpu at 100%

After a delay, it restarts, and I am asked to file a sig abort 6
After the shell restarts itself, the pre-beta Fedora 27 appears to function correctly for what I use it. The F27 pre-beta is very close to being an excellent mostly bugfree beta. Except for cold boot logon to Gnome.

Comment 116 Leslie Satenstein 2017-09-03 02:12:04 UTC
*** Bug 1487890 has been marked as a duplicate of this bug. ***

Comment 117 Keefer Rourke 2017-09-03 02:29:54 UTC
Why does this bug still have the 'NEW' status? Clearly it has been open for a long time and is affecting many users. To put it simply, the desktop shell *should not crash* and this needs attention from devs.

Comment 118 Jason 2017-09-03 16:04:04 UTC
*** Bug 1487946 has been marked as a duplicate of this bug. ***

Comment 119 Zsolt Donca 2017-09-05 06:53:38 UTC
*** Bug 1488317 has been marked as a duplicate of this bug. ***

Comment 120 THareau 2017-09-06 06:59:42 UTC
*** Bug 1488733 has been marked as a duplicate of this bug. ***

Comment 121 joarmeji 2017-09-09 02:44:31 UTC
*** Bug 1490000 has been marked as a duplicate of this bug. ***

Comment 122 Zsolt Donca 2017-09-12 05:37:39 UTC
*** Bug 1490704 has been marked as a duplicate of this bug. ***

Comment 123 Johannes Postler 2017-09-12 05:55:09 UTC
Similar problem has been detected:

resuming from standby

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=252322140e9d47d187d3f86e6ebc78fd;i=396b;b=e11dbefec99c4815bd265eb2916d05f0;m=560459a45;t=558f783272824;x=379e9f5f987d3acc
kernel:         4.12.9-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 124 Brian J. Murrell 2017-09-12 14:36:34 UTC
Similar problem has been detected:

Not really sure.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        gnome-shell --replace
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=231ef7b0220b4c7283267599a12bdf12;i=b8e1f;b=2e0d672979ee4a3e8fd06aa3c5350f84;m=173955c529;t=558fe9c132f81;x=45a7443e4f86a7ad
kernel:         4.12.9-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 125 Halil Kucukkose 2017-09-13 08:05:18 UTC
*** Bug 1491152 has been marked as a duplicate of this bug. ***

Comment 126 Laurens Post 2017-09-13 11:53:11 UTC
*** Bug 1491248 has been marked as a duplicate of this bug. ***

Comment 127 Florian Wallner 2017-09-13 12:24:34 UTC
*** Bug 1491269 has been marked as a duplicate of this bug. ***

Comment 128 Matthew Miller 2017-09-13 14:30:19 UTC
By design, GNOME Shell allows extensions enough power that they can cause crashes; this is a mixed blessing, because on the one hand, crashes are obviously bad, but on the other, it allows extensions to do almost anything, which is cool.

This is really seeming like a TopIcons Plus issue, and there is an upstream tracker at https://github.com/phocean/TopIcons-plus/issues/73 — but upstream developers are having trouble reproducing, and it's hard to fix without that.

If you can reproduce, or even if you can reliably crash with this extension enabled and reliably get no crashes without, that would be helpful feedback in the upstream tracker. (But please don't just pile on without specifics, because that's more annoying than help.)

I'll leave this open as a tracker for now.

Comment 129 Anass Ahmed 2017-09-13 14:34:08 UTC
I re-enabled the extension "TopIcons Plus" again in preparation for the legacy tray removal in GNOME 3.26 on Fedora 27.

Let's see what happens, hopefully I can be of aid to fix the issue. but I didn't face the issue again after I disabled it last time.

Comment 130 Jan Kurik 2017-09-14 11:02:58 UTC
A help with the reproducer requested from Fedora Workstation WG: https://lists.fedoraproject.org/archives/list/desktop@lists.fedoraproject.org/thread/TLQWT3OJZD5HQOF2BGU6QQBICMZOMX6Z/

Comment 131 Jan Kurik 2017-09-14 11:07:32 UTC
We aren't marking this as Prioritized because we don't have appropriate resources at our disposal, however we consider this as important one and we will ask desktop team to help finding a reproducer.

Comment 132 Ray Strode [halfline] 2017-09-14 13:39:16 UTC
Looking at the stack trace here: https://retrace.fedoraproject.org/faf/reports/1376401/

We see a GSettings change event comes in (frame 60), leading to a an actor getting destroyed (frame 40).

As part of its destruction it iterates through it's children and destroys them too (frame 32).  One of those children is a StBin container (frame 29).  It, likewise, destroys its child which is ShellGtkEmbed (frame 26).  The ShellGtkEmbed calls into javascript when it's getting destroyed.

I guess that's probably this code here from the extension (in onTrayIconAdded):

icon.connect("destroy", function() {
        icon.clear_effects();
        iconContainer.destroy();
});

The icon is a ShellTrayIcon which is a subclass of ShellGtkEmbed.
But that callback is a little weird.  The icon is getting destroyed because it's container is getting destroyed (frame 26), but it installs a destroy handler that destroys its container (frame 7)? So it ends up 

Let's look at the st-bin dispose method anyway:

  if (priv->child)•
    clutter_actor_destroy (priv->child);•
  g_assert (priv->child == NULL);•
•

So I guess the clutter_actor_destroy there is going to be noop because the icon is already in destruction (frame 26), so then the assertion fails.

Assuming that's the problem, and I didn't muck anything up in my tracing, there are two possible fixes I can think of:

1) drop the iconContainer.destroy() call from onTrayIconAdded
2) change the

if (priv->child)
  clutter_actor_destroy (priv->child);

from st_bin_dispose to

g_clear_pointer (&priv->child, clutter_actor_destroy);

Comment 133 Ray Strode [halfline] 2017-09-14 13:47:27 UTC
anyone want to give this scratch build a try when it finishes?

https://koji.fedoraproject.org/koji/taskinfo?taskID=21860701

Comment 134 Piotr Rogowski 2017-09-15 07:25:34 UTC
Similar problem has been detected:

just logged in after reboot, few applications in autostart

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=a146ff5c7e5c4666b708e050378370b9;i=f667;b=c09d1dc49c154411918669d3805d8b77;m=3ee68c7;t=5593530f67d96;x=44c3a2cfc7633076
kernel:         4.12.12-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 135 Brian J. Murrell 2017-09-15 10:56:20 UTC
Similar problem has been detected:

Logging in to GNOME desktop

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        gnome-shell --sm-client-id 107d01f38e8a67eb5b1503087666974200000069510000
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=89108862094f480aa6525a5cf0746fbf;i=c6084;b=2912cbee28fe4f44990ce9d2ca5915e9;m=81ecef885;t=5593826dab48b;x=5803f1416edf9b99
kernel:         4.12.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 136 Christian Stadelmann 2017-09-15 16:59:53 UTC
(In reply to Ray Strode [halfline] from comment #133)
> anyone want to give this scratch build a try when it finishes?
> 
> https://koji.fedoraproject.org/koji/taskinfo?taskID=21860701

Your build makes the situation worse. With TopIcons enabled, I cannot login any more at all. Downgrading to Fedora 26's most recent version of gnome-shell lets me login sometimes (about one out of 3 tries) at least.

I'm sorry I cannot give you more data because abrt is deleting my crashes. See https://bugzilla.redhat.com/show_bug.cgi?id=1411497 for details.

Comment 137 Ray Strode [halfline] 2017-09-15 19:23:51 UTC
eek

Comment 138 Ray Strode [halfline] 2017-09-15 19:27:13 UTC
oh i wonder if you're hitting https://bugzilla.gnome.org/show_bug.cgi?id=787361

Comment 139 Ray Strode [halfline] 2017-09-15 19:37:44 UTC
of course, without a trace it's hard to know where the crash you're seeing is, but I put my above patch and the patch from that bug together into one build here for you to try:

https://koji.fedoraproject.org/koji/taskinfo?taskID=21889537

if that doesn't help, we might have to get you to switch to using coredumpctl instead of abrt to get a trace.

Comment 140 Christian Stadelmann 2017-09-15 23:22:11 UTC
(In reply to Ray Strode [halfline] from comment #138)
> oh i wonder if you're hitting
> https://bugzilla.gnome.org/show_bug.cgi?id=787361

No, my crash clearly contained a line on st_bin_dispose(), so I guess I'm not hitting that bug.

Comment 141 Christian Stadelmann 2017-09-16 18:13:20 UTC
(In reply to Ray Strode [halfline] from comment #139)
> of course, without a trace it's hard to know where the crash you're seeing
> is, but I put my above patch and the patch from that bug together into one
> build here for you to try:
> 
> https://koji.fedoraproject.org/koji/taskinfo?taskID=21889537

Same issue as with your previous build. 3 out of 3 logins fail.

> if that doesn't help, we might have to get you to switch to using
> coredumpctl instead of abrt to get a trace.

Looks like we need to go that road. How do I do that, where do I start?

Comment 142 Christian Stadelmann 2017-09-18 15:53:21 UTC
(In reply to Jan Kurik from comment #130)
> A help with the reproducer requested from Fedora Workstation WG:
> https://lists.fedoraproject.org/archives/list/desktop@lists.fedoraproject.
> org/thread/TLQWT3OJZD5HQOF2BGU6QQBICMZOMX6Z/

With topicons (not topicons plus), gnome-shell 3.24.3-1 and 3.24.2-1 crashes on login on most tries (maybe 3 out of 4). Without that extension enabled, it crashes in less than 1 out of 4 tries.
Hope that helps.

Comment 143 Ray Strode [halfline] 2017-09-18 18:12:41 UTC
(In reply to Christian Stadelmann from comment #141)
> Looks like we need to go that road. How do I do that, where do I start?
I think this is already set by default these days thanks to abrt/systemd integration, but check:

❯ cat /proc/sys/kernel/core_pattern 
|/usr/lib/systemd/systemd-coredump %P %u %g %s %t %c %e

but then it's just

❯ coredumpctl list
TIME                            PID   UID   GID SIG COREFILE  EXE
Mon 2017-09-18 11:22:54 EDT    2091  4153  4153  11 present   /usr/bin/gnome-shell

❯ dnf debuginfo-install gnome-shell

❯ coredumpctl gdb 2091
(gdb) set logging on
Copying output to gdb.txt.
(gdb) thread apply all backtrace full

Comment 144 jms429 2017-09-20 18:34:57 UTC
*** Bug 1493713 has been marked as a duplicate of this bug. ***

Comment 145 Philipp Gampe 2017-09-21 12:07 UTC
Created attachment 1328966 [details]
Core dump

Attached a core dump with gdb logging on (as instructed in previous comment)

Comment 146 daozor 2017-09-21 16:59:42 UTC
*** Bug 1494213 has been marked as a duplicate of this bug. ***

Comment 147 Christian Stadelmann 2017-09-21 22:13 UTC
Created attachment 1329233 [details]
gdb output from coredumpctl, see comment #143. With gnome-shell-3.24.3-1.fc26.x86_64

I got another crash with "Topicons Plus" enabled, this time it was triggered by sealert trying to its tray icon. Instead of a tray icon of sealert, the space used by the topicons plus system tray got wider and wider until gnome-shell froze and then crashed. The sealert notification was displayed correctly.

Comment 148 Ray Strode [halfline] 2017-09-22 18:51:24 UTC
oh can you do it again with gnome-shell-3.24.3-1.fc26.crashtest2 ?

Comment 149 krinkodot22 2017-09-23 03:20:42 UTC
Similar problem has been detected:

Booted computer while it was plugged into an external monitor via HDMI. The top bar was formatted incorrectly (some icons were missing or aligned improperly). I pressed Super+L to lock the screen and the shell froze & restarted.

reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=7c274a647c644585957412eb23a33495;i=3ba09;b=c904c6ecd5f441c7a98d1b9c6a8957f4;m=12c6d68f;t=559d299915b1d;x=981bbd8cd16c485b
kernel:         4.12.13-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 150 Matthias Andree 2017-09-23 08:50:01 UTC
*** Bug 1494807 has been marked as a duplicate of this bug. ***

Comment 151 ma.giancotti 2017-09-25 05:24:58 UTC
Similar problem has been detected:

Upon some apparently random events, such as maximizing or moving windows, gnome-shell crashes. Sometimes
it restarts by itself and I can continue working, but often the whole session is terminated and I'm brought
to the login screen. I lose all the open windows in that case.

The frequency with which this occurs has increased greatly after upgrading from Fedora 25 to 26.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=bd5c7943256f4da2afa11b430bcc5c53;i=8cafb7;b=79a01afb21134f48ab7af3547fb0d29b;m=244c89627e;t=559fb287d9ee3;x=9fabea79433d4788
kernel:         4.12.12-300.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 152 Kamichr 2017-09-25 06:39:20 UTC
Similar problem has been detected:

I got abort message directly after login.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=5a021c2bab0d47d5b9a875b0d593cc97;i=67745;b=1244349665c54770b844b6e113713028;m=14913ba;t=559c7e97fe691;x=571dbadafb185f9c
kernel:         4.12.13-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 153 daozor 2017-09-25 18:35:14 UTC
*** Bug 1495303 has been marked as a duplicate of this bug. ***

Comment 154 Jerther 2017-09-27 14:48:56 UTC
Similar problem has been detected:

Uninstall Google Hangouts Chrome App while it's running.

reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=e50082af97324382b594a64fae38f169;i=3c1590;b=610f3e179d354e55a587b50511d152b9;m=1672ea0ca2;t=55a2cc8758543;x=be8efcfc3eca3858
kernel:         4.12.13-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 155 Jerther 2017-09-27 14:55:30 UTC
I also happen to have the Topicons plus extension installed, like #147. Chrome adds an icon into this tray when it's running in the background.

Comment 156 Daniel-WTD 2017-09-27 18:44:21 UTC
Similar problem has been detected:

During updating an extension (https://extensions.gnome.org/extension/1217/appfolders-manager/) gnome crashed.
Happend last time with (https://extensions.gnome.org/extension/1031/topicons/).

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=c6c1ada7a87e4a059490a685ee7644a9;i=1bf3d;b=7d1c1ae0a2474fd2834fa58aa97ae9d9;m=51856d35b;t=55a30110032d2;x=f14cf13f215ad547
kernel:         4.12.13-300.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 157 m.renusson 2017-09-27 22:30:22 UTC
*** Bug 1496603 has been marked as a duplicate of this bug. ***

Comment 158 marav 2017-09-28 19:08:27 UTC
*** Bug 1496933 has been marked as a duplicate of this bug. ***

Comment 159 Mike Basinger 2017-10-01 16:48:03 UTC
Similar problem has been detected:

Logging into Gnome

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=b73628d078f3467d84d6221c4aa5e4e2;i=690e7;b=b28d133ea3f642aa8fc99ca34c802a39;m=2415451;t=55a7e9dcaa400;x=ff93784f28579f30
kernel:         4.12.14-300.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 160 Daniel-WTD 2017-10-01 21:03:21 UTC
Similar problem has been detected:

Shell crashed multiple time during heavy use of gnome boxes and immediatly after the reboot.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=c6c1ada7a87e4a059490a685ee7644a9;i=34657;b=6894944418434f6eab8d9793a2c94df0;m=3a31035;t=55a81f671a523;x=4faf0b16a182421a
kernel:         4.12.14-300.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 161 Emmanuel Touzery 2017-10-02 09:05:08 UTC
Similar problem has been detected:

crash at startup of the shell, after entering the password in gdm (wayland). sometimes it crashes twice in a row but succeeds the third time.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=778c43470a1f4eecb0029eca40622e6c;i=193a5;b=d772f3df839c41f6b6ced4b475e8ad04;m=17b53a0;t=55a897cf36d12;x=1d2acd89136c2fa2
kernel:         4.12.14-300.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 162 André Luís Mendes 2017-10-02 18:02:24 UTC
Similar problem has been detected:

It simple crash no matter what I am doing or running ... it happens once or twice in a day ...

reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=b87c8c31108f415ab6c11e486ea51e0d;i=3dd5;b=d8f2d230f573427f893eb4b337aa2a06;m=437663ae5;t=55a91d6a87e54;x=da95a1ed9062f226
kernel:         4.12.14-300.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 163 André Luís Mendes 2017-10-03 18:15:15 UTC
Similar problem has been detected:

I just reboot the machine after install updates and then try to login into my session.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=ed79dc6b1b464579bff273a4dd4f5c5d;i=a21;b=b6427dd042b64fe5b72cd6d045528fa7;m=3063abc;t=55aa85edf1b63;x=2136a06d6eb13c17
kernel:         4.12.14-300.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 164 Leslie Satenstein 2017-10-03 21:50:20 UTC
Comment 96 is appropriate.

I am using btrfs, for the SSD. 
If you are testing, and working this bug report, use / and /home as btrfs.

I am testing with 
ext4, xfs, lvm and btrfs

Only btrfs gives me problems.

Comment 165 Hein-Pieter van Braam 2017-10-03 22:05:56 UTC
I don't use btrfs on my machine but I reported this problem also. I use XFS.

Comment 166 daozor 2017-10-04 03:39:56 UTC
*** Bug 1498333 has been marked as a duplicate of this bug. ***

Comment 167 jms429 2017-10-06 19:22:30 UTC
*** Bug 1499348 has been marked as a duplicate of this bug. ***

Comment 168 Petr Kriz 2017-10-07 12:43:27 UTC
*** Bug 1499429 has been marked as a duplicate of this bug. ***

Comment 169 daozor 2017-10-09 16:48:43 UTC
*** Bug 1500022 has been marked as a duplicate of this bug. ***

Comment 170 marav 2017-10-09 19:32:33 UTC
*** Bug 1500066 has been marked as a duplicate of this bug. ***

Comment 171 Georgii Iesaulov 2017-10-11 03:56:24 UTC
Similar problem has been detected:

Gnome Shell Extension TopIcons was turned off and then turned on immediately. Gnome Shell crashed.  

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=7ed0361946a74afc9925f8daa2f2483f;i=79ec1;b=49b3c4a1e8cb4f3c8dfc7c4f8cd51ba0;m=7c9494b10;t=55b3d56e783c1;x=be52cd2cc3816f06
kernel:         4.12.14-300.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 172 Guillaume Raffin 2017-10-17 16:38:50 UTC
Similar problem has been detected:

Gnome-shell crashed immediately when I opened my (wayland) session after starting the computer.
It's the first time this problem happens and I couldn't reproduce it.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=faf2c98e38db4ae89d7d55de02d39471;i=117b7;b=3588045539394f72add0175bac532c08;m=266f90e;t=55bc0962633b9;x=90d8e73e600a915
kernel:         4.13.5-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 173 Dima Ryazanov 2017-10-18 11:13:31 UTC
Similar problem has been detected:

GNOME shell crashed as soon as I logged in - no other actions on my part.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=dd3cc20023b4494f91ac1de656c2b8de;i=2f128;b=d6af56856bb54be5a5978ad81383d2a9;m=1db6465;t=55bd01c6a28d0;x=133c588d391be77c
kernel:         4.13.5-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 174 Brian J. Murrell 2017-10-19 11:37:10 UTC
Similar problem has been detected:

Logging in

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        gnome-shell --sm-client-id 103a4007078f565285150841189015712100000211310000
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=89108862094f480aa6525a5cf0746fbf;i=195898;b=b49489610b8542148a0ec6c4da1ecf39;m=10afd4d4;t=55be49e857b4f;x=4870eedba2386e23
kernel:         4.13.5-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 175 James Ettle 2017-10-21 19:24:14 UTC
Similar problem has been detected:

Locked the screen.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=30a2c0b2de664f90a2cc5525e28b4ad7;i=183e;b=18b0a2754c014ad0b98970636e231e23;m=1346fdd577;t=55c1376138cf8;x=ddd00cf62346721a
kernel:         4.13.5-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1402400001

Comment 176 Petr Kriz 2017-10-30 20:48:43 UTC
*** Bug 1507663 has been marked as a duplicate of this bug. ***

Comment 177 Ash Hughes 2017-11-02 23:42:56 UTC
Similar problem has been detected:

tray icon area stretched along to clock. Clicking on blank are brought up menu for next left most icon. Quit that application, Gnome crashed.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=1911784061e649f09d6bb300a100bc3f;i=a7ef;b=a6eed8ff162944b6893d5d4be9852f65;m=3bba86b8;t=55d0843b4ee0a;x=126dd32536ee7d53
kernel:         4.13.9-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 178 Eugine 2017-11-04 19:28:09 UTC
Similar problem has been detected:

It's happend after gdm login.
By the way i've been pluging AC cord at the same time.
I've seen skype window without GNOME Shell. Then GNOME started and that err message appeared.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=39c2776d34324145ad2f6db04647ecb4;i=f136c;b=9aa2cae18e1f4cec87529fdedcb736b6;m=2a4ae1a;t=55d2cf9fbefe0;x=15cf1fa9e7b2af4a
kernel:         4.13.10-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 179 Arne 2017-11-05 02:20:45 UTC
Similar problem has been detected:

Have not been doing anything unusual
- Chrome browser was open
- copying some files via SFTP

Suddenly the gnome-shell exited with a segfault. My machine was still useable and I could log into the command line interface.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=1d0a76bbba9a40d083fc5a834f18b27d;i=25765;b=be1e44cb903d431991e756854dd76e89;m=3bbb796;t=55d327cf880bf;x=3cc1819fd00d2f54
kernel:         4.13.10-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 180 Aditya Shah 2017-11-08 03:51:29 UTC
*** Bug 1510713 has been marked as a duplicate of this bug. ***

Comment 181 Joshua Rich 2017-11-08 21:28:22 UTC
Similar problem has been detected:

Logged in after restart for applying updates.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=e3bbbd94a1674797b24a7ba2cae7ad67;i=5f05e;b=31eeac31cb434cf3b01f2f7345f5eb50;m=3d39922;t=55d7f283bb513;x=8dcca474c107b317
kernel:         4.13.11-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       unknown
type:           CCpp
uid:            1000

Comment 182 Christian Stadelmann 2017-11-09 23:54:49 UTC
*** Bug 1511717 has been marked as a duplicate of this bug. ***

Comment 183 argonym 2017-11-10 12:11:55 UTC
*** Bug 1511909 has been marked as a duplicate of this bug. ***

Comment 184 Fredrik Mikker 2017-11-10 13:24:10 UTC
*** Bug 1511937 has been marked as a duplicate of this bug. ***

Comment 185 adri 2017-11-13 13:32:01 UTC
Similar problem has been detected:

Desactivate gnome extension and enable it again.

reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=1e64cbe4bb764ff9b3e699e23b759223;i=bfc34;b=a62a1c6c5eac4e3cbd34c5eff5255d63;m=376b5d9ac;t=55ddd2c7a0436;x=53c78b08e824fa39
kernel:         4.13.11-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 186 Gian Paolo Mureddu 2017-11-14 04:51:35 UTC
Similar problem has been detected:

Starting session

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=3a4fa8e0c556466e8ff6cb4ad968e7a5;i=3ee29;b=773422ac40cd406c8bfcb76ad544c06a;m=7babd62;t=55de61eca36c2;x=46df0ff6162810df
kernel:         4.13.11-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 187 Petr Kočandrle 2017-11-14 07:49:31 UTC
Similar problem has been detected:

Just logged in after a restart that was needed after "dnf update" and the shell crashed even before the wallpaper appeared.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=bff806449390433aa151d527f01a34a3;i=29cd8b;b=483d9961101e4f2bbd402efb615e3e64;m=2d99c02;t=55dec46f010d8;x=7ddcf5cb1e08dbd
kernel:         4.13.12-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       unknown
type:           CCpp
uid:            20975

Comment 188 Standa Laznicka 2017-11-14 17:55:01 UTC
Similar problem has been detected:

Now it was my belief that the automatized tool would get you all the details but let me try and describe the issue.

It's actually pretty simple. After some time of using the TopIcons plugin, the icons disappear from the top bar. I believe you may need to close/open the lid of the notebook and make it go sleep but I am not sure about that. Anyway, if you click the empty space the icons from the TopIcon plugin should be, the system still seems to kind of react to it by opening the appropriate applications sometimes. However, if you do this clicking into the void space, I believe the trigger of this bug is to try and lock the screen using the menu from the top right corner. Then the system segfaults.

This issue is kind of hard to reproduce, although I believe that once you get the blank space in the top right corner this is kind of 100% reproducible and thus exploitable I guess. It's easier to find the blank space in the top bar if you're using another plugin which uses top bar - then the empty space appears between this other plugin's icon and the usual icons.

This is kind of all I know, I hit it quite often.

reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=462a67e0875f4777be2bf2f0a3787179;i=3e0f6;b=03eaad3984d24f5f8160907518a87633;m=a4fca4f1c;t=55df49db3afdd;x=f53f24c9f2a3960e
kernel:         4.13.11-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 189 fano 2017-11-16 12:00:03 UTC
Similar problem has been detected:

I opened remmina (with icon on topicon plus) and then the top panel changed, there was a big space between icons.

reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: st_bin_dispose
executable:     /usr/bin/gnome-shell
journald_cursor: s=6363062a4d724cf09e9ac6a9da6880fb;i=5d3c9;b=89d30d42bc9c417b91306cd8a4dc44d8;m=3bad2b0eb;t=55e15fa1f3b48;x=a2ca91e5aac2902c
kernel:         4.13.11-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 190 Arne 2017-11-18 09:47:33 UTC
Not sure if this is related, but I noticed the following:

- Application icons in the top panel disappeared after upgrading to Fedora 27, some crashes of gnome-shell
- I changed the setting of TopIconsPlus from horizontal tray alignment = center to left
- Application icons are visible again and no more crashed so far

Comment 191 Ralf Folkerts 2017-12-02 20:51:07 UTC
*** Bug 1520092 has been marked as a duplicate of this bug. ***

Comment 192 Petr Kriz 2017-12-12 05:17:31 UTC
*** Bug 1524789 has been marked as a duplicate of this bug. ***

Comment 193 epablo 2018-01-09 12:32:13 UTC
*** Bug 1532604 has been marked as a duplicate of this bug. ***

Comment 194 Mike Echevarria 2018-01-17 14:22:02 UTC
*** Bug 1535509 has been marked as a duplicate of this bug. ***

Comment 195 Fedora End Of Life 2018-05-03 08:22:22 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 196 Fedora End Of Life 2018-05-29 11:33:50 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.